Skip to main content
GET
/ai/activity/conversations/:id

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Spark conversation ID

Query Parameters

organisation_id
string

Comma-separated organisation IDs

user_id
string

Comma-separated user IDs

outcome
enum<string>

Only include successful or failed requests

Available options:
success,
failure
user_type
enum<string>

Only include admins (admin) or everyone else (non_admin)

Available options:
admin,
non_admin
exclude_internal
enum<string>
default:0

Set to 1 to leave out internal organisations

Available options:
0,
1

Response

conversation
object | null
required

The chat, or null when it has no saved details

turns
object[]
required

Every logged request for the chat, oldest first

success
boolean
required